<?xml version="1.0" encoding="UTF-8"?>
<elements>
    <network name="VolvoCoreTSN" overhead="22B" minimum-packet-size="64B" shortest-path-policy="DIJKSTRA" technology="FIFO+PK+MOH+CEIL+IS+TDMI" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" x-type="FULL"/>
    <!-- ======== NODES ========== -->
    <!-- VCU -->
    <switch name="SW_B" x="0" y="0" packet-elimination-function="all" technology="FIFO+PK+MOH+CEIL+IS+TDMI+PE" />
    <station name="SGA" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" x="-1" y="-1" />
    <station name="P1" packet-elimination-function="all" technology="FIFO+PK+MOH+CEIL+IS+TDMI+PE" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" x="1" y="-1"  />
    <switch name="SW_A" x="6" y="0" packet-elimination-function="all" technology="FIFO+PK+MOH+CEIL+IS+TDMI+PE" />
    <station name="P2" packet-elimination-function="all" technology="FIFO+PK+MOH+CEIL+IS+TDMI+PE" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" x="5" y="-1" />
    <station name="P3" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" x="7" y="-1" />
    <!-- AD -->
    <station name="AD" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="9" y="-1" />
    <!-- TelematicUnit -->
    <station name="TelematicUnit" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="5" y="1" />
    <!-- VIU1 -->
    <switch name="SW_1" x="-6" y="0"/>
    <station name="MCU1" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="-6" y="-2" />
    <!-- VIU2 -->
    <switch name="SW_2" x="3" y="6" packet-elimination-function="all" technology="FIFO+PK+MOH+CEIL+IS+TDMI+PE" />
    <station name="MCU2" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="4" y="5" />
    <!-- Head unit -->
    <station name="HeadUnit" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="1" y="5" />
    <!-- Amplifier -->
    <station name="Amplifier" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="1" y="7" />
    <!-- VIU3 -->
    <switch name="SW_3" x="6" y="-6" />
    <station name="MCU3" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="4" y="-6"  />
    <!-- VIU4 -->
    <switch name="SW_4" x="12" y="6" packet-elimination-function="all" technology="FIFO+PK+MOH+CEIL+IS+TDMI+PE"/>
    <station name="MCU4" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"  x="12" y="5" />
    <!-- ======== LINKS ========== -->
    <!-- VCU - Internals -->
    <link from="SW_B" to="SW_A" fromPort="0"  toPort="0" name="SW_B-SW_A"   service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_B" to="SGA"  fromPort="3"  toPort="0" name="SW_B-SGA"    service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_B" to="P1"   fromPort="4"  toPort="0" name="SW_B-P1"     service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_A" to="P2"   fromPort="1"  toPort="0" name="SW_AP2"      service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_A" to="P3"   fromPort="3"  toPort="0" name="SW_A-P3"     service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/> 
    <!-- VIU1 - Internals -->
    <link from="SW_1"   to="MCU1"  fromPort="1"  toPort="0" name="SW_1-MCU1" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <!-- VIU2 - Internals -->
    <link from="SW_2"   to="MCU2"  fromPort="4"  toPort="0" name="SW_2-MCU2" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <!-- VIU3 - Internals -->
    <link from="SW_3"   to="MCU3"  fromPort="1"  toPort="0" name="SW_3-MCU3" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <!-- VIU4 - Internals -->
    <link from="SW_4"   to="MCU4"  fromPort="1"  toPort="0" name="SW_4-MCU4" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <!-- VCU - Externals -->
    <link from="SW_A"   to="TelematicUnit"  fromPort="6"  toPort="0" name="SW_A-TelematicUnit"  service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <link from="SW_A"   to="AD"             fromPort="4"  toPort="0" name="SW_A-AD"             service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <!-- VIU2 - Externals -->
    <link from="SW_2"   to="Amplifier"  fromPort="1"  toPort="0" name="SW_2-Amplifier"  service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <link from="SW_2"   to="HeadUnit"   fromPort="2"  toPort="0" name="SW_2-HeadUnit"   service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" />
    <!-- Backbone -->
    <link from="SW_1"   to="SW_B"   fromPort="0"  toPort="2" technology="FIFO+PK+MOH+CEIL+IS+TDMI+REG+PE" name="SW_1-SW_B" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps" reg-config-implicit-ac="{C_V1_R2_S,C_V1_R2_M1,C_V1_R2_M2,C_V1_R2_B}:source"/>
    <link from="SW_B"   to="SW_2"   fromPort="1"  toPort="3" name="SW_B-SW_2" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_2"   to="SW_4"   fromPort="0"  toPort="2" name="SW_2-SW_4" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_4"   to="SW_A"   fromPort="0"  toPort="5" name="SW_4-SW_A" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <link from="SW_A"   to="SW_3"   fromPort="2"  toPort="0" name="SW_B-SW_2" service-latency="2us" transmission-capacity="100Mbps" service-rate="100Mbps"/>
    <!-- ======== FLOWS ========== -->
    <!-- VIU1 -->
    <flow name="C_V1_F_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="MCU1">
        <target mode="M" name="P1-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V1_F_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="MCU1">
        <target mode="M" name="P1-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V1_R1_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <flow name="C_V1_R2_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <flow name="C_V1_R1_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <flow name="C_V1_R2_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
     <flow name="C_V1_F_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="MCU1">
        <target mode="M" name="P1-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V1_F_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1400us" vlan="500" priority="7" source="MCU1">
        <target mode="M" name="P1-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_1"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V1_R1_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <flow name="C_V1_R2_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <flow name="C_V1_R1_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <flow name="C_V1_R2_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_1"/>
            <path node="MCU1"/>
        </target>
    </flow>
    <!-- VIU2 -->
    <flow name="C_V2_F_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="MCU2">
        <target mode="M" name="P1-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V2_F_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="MCU2">
        <target mode="M" name="P1-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V2_R1_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_R2_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_R1_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_R2_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_F_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="MCU2">
        <target mode="M" name="P1-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V2_F_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="MCU2">
        <target mode="M" name="P1-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V2_R1_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_R2_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_R1_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <flow name="C_V2_R2_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="MCU2"/>
        </target>
    </flow>
    <!-- VIU3 -->
    <flow name="C_V3_F_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="MCU3">
        <target mode="M" name="P1-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V3_F_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="MCU3">
        <target mode="M" name="P1-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V3_R1_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_R2_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_R1_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_R2_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_F_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="MCU3">
        <target mode="M" name="P1-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V3_F_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="MCU3">
        <target mode="M" name="P1-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_3"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V3_R1_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_R2_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_R1_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V3_R2_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <!-- VIU4 -->
    <flow name="C_V4_F_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="MCU4">
        <target mode="M" name="P1-Primary">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V4_F_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="MCU4">
        <target mode="M" name="P1-Primary">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V4_R1_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
    </flow>
    <flow name="C_V4_R2_S" pattern="Periodic" min-payload="64B" max-payload="64B" max-simultaneous-packets="1" period="81us" deadline="200us" vlan="700" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
    </flow>
    <flow name="C_V4_R1_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V4_R2_B" pattern="Periodic" min-payload="150B" max-payload="150B" max-simultaneous-packets="1" period="810us" deadline="2ms" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
    </flow>
    <flow name="C_V4_F_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="MCU4">
        <target mode="M" name="P1-Primary">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V4_F_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="MCU4">
        <target mode="M" name="P1-Primary">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P1-Redundant">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="P1"/>
        </target>
        <target mode="M" name="P2-Primary">
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_4"/>
            <path node="SW_2"/>
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="P2"/>
        </target>
    </flow>
    <flow name="C_V4_R1_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
    </flow>
    <flow name="C_V4_R2_M1" pattern="Periodic" min-payload="92B" max-payload="92B" max-simultaneous-packets="1" period="324us" deadline="800us" vlan="600" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
    </flow>
    <flow name="C_V4_R1_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P1">
        <target mode="M" name="R1-Primary">
            <path node="SW_B"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
        <target mode="M" name="R1-Redundant">
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="SW_A"/>
            <path node="SW_3"/>
            <path node="MCU3"/>
        </target>
    </flow>
    <flow name="C_V4_R2_M2" pattern="Periodic" min-payload="121B" max-payload="121B" max-simultaneous-packets="1" period="567us" deadline="1.4ms" vlan="500" priority="7" source="P2">
        <target mode="M" name="P2-Primary">
            <path node="SW_A"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
        <target mode="M" name="P2-Redundant">
            <path node="SW_A"/>
            <path node="SW_B"/>
            <path node="SW_2"/>
            <path node="SW_4"/>
            <path node="MCU4"/>
        </target>
    </flow>
</elements>